package org.example.lifecycle;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.text.method.ScrollingMovementMethod;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class LifeCycle extends Activity implements OnClickListener {

	private TextView tv1;
	
	private void appendText(String event) {
		String currentText = tv1.getText().toString();
		currentText += "\n" + event;
		tv1.setText(currentText);
	}
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_life_cycle);
		
		tv1 = (TextView)findViewById(R.id.tv1);
		tv1.setMovementMethod(new ScrollingMovementMethod());
		
        View launch = findViewById(R.id.launch_button);
        launch.setOnClickListener(this);
		
		appendText("onCreate()");
	}
	
	@Override
	public void onClick(View arg0) {
        startActivity(new Intent(this, Counter.class));
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_life_cycle, menu);
		return true;
	}

	@Override
	public void onStart() {
		super.onStart();
		appendText("onStart()");
	}

	@Override
	public void onResume() {
		super.onResume();
		appendText("onResume()");
	}

	@Override
	public void onPause() {
		super.onPause();
		appendText("onPause()");
	}

	@Override
	public void onStop() {
		super.onStop();
		appendText("onStop()");
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
		//appendText("onStart()");
	}

	@Override
	public void onRestart() {
		super.onRestart();
		appendText("onRestart()");
	}

}
